Package owl.factories

## Class PropositionVisitor

- java.lang.Object
- - owl.factories.PropositionVisitor

- All Implemented Interfaces:
    `IntVisitor`

      public final class PropositionVisitor
      extends Object
      implements IntVisitor

  For the propositional view on LTL modal operators (F, G, U, X) and literals (a, !a) are treated as propositions.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Deque<Formula>` | `extractPropositions​(Formula formula)` |
    `int` | `visit​(BooleanConstant booleanConstant)` |
    `int` | `visit​(Conjunction conjunction)` |
    `int` | `visit​(Disjunction disjunction)` |
    `int` | `visit​(FOperator fOperator)` |
    `int` | `visit​(FrequencyG freq)` |
    `int` | `visit​(GOperator gOperator)` |
    `int` | `visit​(Literal literal)` |
    `int` | `visit​(MOperator mOperator)` |
    `int` | `visit​(ROperator rOperator)` |
    `int` | `visit​(UOperator uOperator)` |
    `int` | `visit​(WOperator wOperator)` |
    `int` | `visit​(XOperator xOperator)` |

    - ### Methods inherited from interface owl.ltl.visitors.IntVisitor

      `visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### extractPropositions

          public static Deque<Formula> extractPropositions​(Formula formula)

    - #### visit

          public int visit​(BooleanConstant booleanConstant)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          public int visit​(Conjunction conjunction)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          public int visit​(Disjunction disjunction)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          public int visit​(FOperator fOperator)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          public int visit​(FrequencyG freq)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          public int visit​(GOperator gOperator)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          public int visit​(Literal literal)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          public int visit​(MOperator mOperator)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          public int visit​(ROperator rOperator)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          public int visit​(UOperator uOperator)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          public int visit​(WOperator wOperator)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          public int visit​(XOperator xOperator)

      Specified by:
        `visit` in interface `IntVisitor`